/* ---------------------------------------------------   */
/* answer2.sas  - Exercise two answer             */
/* ---------------------------------------------------   */

%global XYZ TCOLOR bcolor;

/*  these statments can be used to test without the application dispatcher
filename _webout 'c:\workshop\ws124\grphout.gif';
%let XYZ=testme;
%let TCOLOR=red;
*/

             /* ------------------------------------------  */
             /* generate an HTTP header for a GIF file      */
             /* don't run this data step if testing locally */
             /* ------------------------------------------  */
data _null_;
 file _webout;
 put 'Content-type: image/gif'/;

run;

             /* ------------------------------  */
             /* use a GIF graphics device       */
             /* ------------------------------  */
goptions device=gif160
         gsfmode=replace
         gsfname=_webout;

             /* -------------------------------------  */
             /* set the color from an input parameter */
             /* -------------------------------------  */

goptions ctitle=%superQ(TCOLOR);
goptions cback=%superQ(bcolor);

             /* -------------------------- */
             /* generate the graphic       */
             /* -------------------------- */

proc gslide frame;
  note h=10  move=(8,15) f=brush %superQ(XYZ);

run;
