/* makefins.sas  make all the  final project HTML files */
/*               used only in directory setup */
/*               L. Hoyle                     */

options mprint;

%let finroot=c:\workshop\ws124;
%let tmpldir=htmln;

filename template "&finroot\&tmpldir\final.htm";


%MACRO makeit(n);
 data _null_;
 filename outfil "&finroot\html&n\final.htm";
 file outfil;
 infile template lrecl=120 pad;
 length line newline $ 120;
 input line $char120.;
 ix=index(line,'#');
 if ix>0 then do;
  n1=ix-1;
  ix2=ix+1;
  n2=120-ix2+1;
  newline=substr(line,1,n1)||"&n"||substr(line,ix2,n2);
 end;
 else newline=line;
 put newline;
 run;

%MEND makeit;


%macro mkall;
 %DO HX=1 %TO 100;
  %makeit(&hx);
 %END;
%mend mkall;



